# Uses of Class
org.apache.qpid.proton.amqp.Symbol

Packages that use Symbol
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.amqp.transaction
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Symbol in org.apache.qpid.proton.amqp

Methods in org.apache.qpid.proton.amqp that return Symbol
Modifier and Type
Method
Description
`static Symbol`
Symbol.`getSymbol(String symbolVal)`
`static Symbol`
Symbol.`valueOf(String symbolVal)`
Methods in org.apache.qpid.proton.amqp with parameters of type Symbol
Modifier and Type
Method
Description
`int`
Symbol.`compareTo(Symbol o)`

## Uses of Symbol in org.apache.qpid.proton.amqp.messaging

Fields in org.apache.qpid.proton.amqp.messaging declared as Symbol
Modifier and Type
Field
Description
`static final Symbol`
Accepted.`DESCRIPTOR_SYMBOL`
`static final Symbol`
Modified.`DESCRIPTOR_SYMBOL`
`static final Symbol`
Rejected.`DESCRIPTOR_SYMBOL`
`static final Symbol`
Released.`DESCRIPTOR_SYMBOL`
Methods in org.apache.qpid.proton.amqp.messaging that return Symbol
Modifier and Type
Method
Description
`final Symbol[]`
Terminus.`getCapabilities()`
`Symbol`
Properties.`getContentEncoding()`
`Symbol`
Properties.`getContentType()`
`Symbol`
Source.`getDistributionMode()`
`Symbol[]`
Source.`getOutcomes()`
`Symbol`
TerminusExpiryPolicy.`getPolicy()`
Methods in org.apache.qpid.proton.amqp.messaging that return types with arguments of type Symbol
Modifier and Type
Method
Description
`Map<Symbol,Object>`
DeliveryAnnotations.`getValue()`
`Map<Symbol,Object>`
MessageAnnotations.`getValue()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type Symbol
Modifier and Type
Method
Description
`final void`
Terminus.`setCapabilities(Symbol... capabilities)`
`void`
Properties.`setContentEncoding(Symbol contentEncoding)`
`void`
Properties.`setContentType(Symbol contentType)`
`void`
Source.`setDistributionMode(Symbol distributionMode)`
`void`
Source.`setOutcomes(Symbol... outcomes)`
`static TerminusExpiryPolicy`
TerminusExpiryPolicy.`valueOf(Symbol policy)`
Returns the enum constant of this type with the specified name.
Constructor parameters in org.apache.qpid.proton.amqp.messaging with type arguments of type Symbol
Modifier
Constructor
Description
``
`DeliveryAnnotations(Map<Symbol,Object> value)`
``
`MessageAnnotations(Map<Symbol,Object> value)`

## Uses of Symbol in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security that return Symbol
Modifier and Type
Method
Description
`Symbol`
SaslInit.`getMechanism()`
`Symbol[]`
SaslMechanisms.`getSaslServerMechanisms()`
Methods in org.apache.qpid.proton.amqp.security with parameters of type Symbol
Modifier and Type
Method
Description
`void`
SaslInit.`setMechanism(Symbol mechanism)`
`void`
SaslMechanisms.`setSaslServerMechanisms(Symbol... saslServerMechanisms)`

## Uses of Symbol in org.apache.qpid.proton.amqp.transaction

Fields in org.apache.qpid.proton.amqp.transaction declared as Symbol
Modifier and Type
Field
Description
`static final Symbol`
Declared.`DESCRIPTOR_SYMBOL`
`static final Symbol`
TxnCapability.`DISTRIBUTED_TXN`
`static final Symbol`
TxnCapability.`LOCAL_TXN`
`static final Symbol`
TxnCapability.`MULTI_SSNS_PER_TXN`
`static final Symbol`
TxnCapability.`MULTI_TXNS_PER_SSN`
`static final Symbol`
TxnCapability.`PROMOTABLE_TXN`
`static final Symbol`
TransactionErrors.`TRANSACTION_ROLLBACK`
`static final Symbol`
TransactionErrors.`TRANSACTION_TIMEOUT`
`static final Symbol`
TransactionErrors.`UNKNOWN_ID`
Methods in org.apache.qpid.proton.amqp.transaction that return Symbol
Modifier and Type
Method
Description
`Symbol[]`
Coordinator.`getCapabilities()`
Methods in org.apache.qpid.proton.amqp.transaction with parameters of type Symbol
Modifier and Type
Method
Description
`void`
Coordinator.`setCapabilities(Symbol... capabilities)`

## Uses of Symbol in org.apache.qpid.proton.amqp.transport

Fields in org.apache.qpid.proton.amqp.transport declared as Symbol
Modifier and Type
Field
Description
`static final Symbol`
ConnectionError.`CONNECTION_FORCED`
`static final Symbol`
AmqpError.`DECODE_ERROR`
`static final Symbol`
LinkError.`DETACH_FORCED`
`static final Symbol`
SessionError.`ERRANT_LINK`
`static final Symbol`
AmqpError.`FRAME_SIZE_TOO_SMALL`
`static final Symbol`
ConnectionError.`FRAMING_ERROR`
`static final Symbol`
SessionError.`HANDLE_IN_USE`
`static final Symbol`
AmqpError.`ILLEGAL_STATE`
`static final Symbol`
AmqpError.`INTERNAL_ERROR`
`static final Symbol`
AmqpError.`INVALID_FIELD`
`static final Symbol`
LinkError.`MESSAGE_SIZE_EXCEEDED`
`static final Symbol`
AmqpError.`NOT_ALLOWED`
`static final Symbol`
AmqpError.`NOT_FOUND`
`static final Symbol`
AmqpError.`NOT_IMPLEMENTED`
`static final Symbol`
AmqpError.`PRECONDITION_FAILED`
`static final Symbol`
ConnectionError.`REDIRECT`
`static final Symbol`
LinkError.`REDIRECT`
`static final Symbol`
AmqpError.`RESOURCE_DELETED`
`static final Symbol`
AmqpError.`RESOURCE_LIMIT_EXCEEDED`
`static final Symbol`
AmqpError.`RESOURCE_LOCKED`
`static final Symbol`
LinkError.`STOLEN`
`static final Symbol`
LinkError.`TRANSFER_LIMIT_EXCEEDED`
`static final Symbol`
SessionError.`UNATTACHED_HANDLE`
`static final Symbol`
AmqpError.`UNAUTHORIZED_ACCESS`
`static final Symbol`
SessionError.`WINDOW_VIOLATION`
Methods in org.apache.qpid.proton.amqp.transport that return Symbol
Modifier and Type
Method
Description
`Symbol`
ErrorCondition.`getCondition()`
`Symbol[]`
Attach.`getDesiredCapabilities()`
`Symbol[]`
Begin.`getDesiredCapabilities()`
`Symbol[]`
Open.`getDesiredCapabilities()`
`Symbol[]`
Open.`getIncomingLocales()`
`Symbol[]`
Attach.`getOfferedCapabilities()`
`Symbol[]`
Begin.`getOfferedCapabilities()`
`Symbol[]`
Open.`getOfferedCapabilities()`
`Symbol[]`
Open.`getOutgoingLocales()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Symbol
Modifier and Type
Method
Description
`void`
ErrorCondition.`setCondition(Symbol condition)`
`void`
Attach.`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
Begin.`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
Open.`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
Open.`setIncomingLocales(Symbol... incomingLocales)`
`void`
Attach.`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
Begin.`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
Open.`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
Open.`setOutgoingLocales(Symbol... outgoingLocales)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Symbol
Modifier
Constructor
Description
``
`ErrorCondition(Symbol condition, String description)`

## Uses of Symbol in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return Symbol
Modifier and Type
Method
Description
`Symbol`
Data.`getSymbol()`
`Symbol`
Decoder.`readSymbol()`
`Symbol`
Decoder.`readSymbol(Symbol defaultValue)`
`Symbol`
DecoderImpl.`readSymbol()`
`Symbol`
DecoderImpl.`readSymbol(Symbol defaultValue)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type Symbol
Modifier and Type
Method
Description
`Class<Symbol>`
SymbolType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type Symbol
Modifier and Type
Method
Description
`void`
SymbolType.`fastWrite(EncoderImpl encoder, Symbol symbol)`
`SymbolType.SymbolEncoding`
SymbolType.`getEncoding(Symbol val)`
`void`
Data.`putSymbol(Symbol symbol)`
`Symbol`
Decoder.`readSymbol(Symbol defaultValue)`
`Symbol`
DecoderImpl.`readSymbol(Symbol defaultValue)`
`void`
Encoder.`writeSymbol(Symbol s)`
`void`
EncoderImpl.`writeSymbol(Symbol s)`

## Uses of Symbol in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return Symbol
Modifier and Type
Method
Description
`Symbol`
DataImpl.`getSymbol()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type Symbol
Modifier and Type
Method
Description
`void`
DataImpl.`putSymbol(Symbol symbol)`

## Uses of Symbol in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Symbol
Modifier and Type
Method
Description
`Symbol[]`
Link.`getDesiredCapabilities()`
Gets the local link desired capabilities.
`Symbol[]`
Session.`getDesiredCapabilities()`
Gets the local session desired capabilities.
`Symbol[]`
Link.`getOfferedCapabilities()`
Gets the local link offered capabilities.
`Symbol[]`
Session.`getOfferedCapabilities()`
Gets the local session offered capabilities.
`Symbol[]`
Connection.`getRemoteDesiredCapabilities()`
`Symbol[]`
Link.`getRemoteDesiredCapabilities()`
Gets the remote link desired capabilities, as conveyed from the peer via the Attach frame when attaching the link to the session.
`Symbol[]`
Session.`getRemoteDesiredCapabilities()`
Gets the remote session desired capabilities, as conveyed from the peer via the Begin frame when opening the session.
`Symbol[]`
Connection.`getRemoteOfferedCapabilities()`
`Symbol[]`
Link.`getRemoteOfferedCapabilities()`
Gets the remote link offered capabilities, as conveyed from the peer via the Attach frame when attaching the link to the session.
`Symbol[]`
Session.`getRemoteOfferedCapabilities()`
Gets the remote session offered capabilities, as conveyed from the peer via the Begin frame when opening the session.
Methods in org.apache.qpid.proton.engine that return types with arguments of type Symbol
Modifier and Type
Method
Description
`Map<Symbol,Object>`
Link.`getProperties()`
Gets the local link properties.
`Map<Symbol,Object>`
Session.`getProperties()`
Gets the local session properties.
`Map<Symbol,Object>`
Connection.`getRemoteProperties()`
`Map<Symbol,Object>`
Link.`getRemoteProperties()`
Gets the remote link properties, as conveyed from the peer via the Attach frame when attaching the link to the session.
`Map<Symbol,Object>`
Session.`getRemoteProperties()`
Gets the remote session properties, as conveyed from the peer via the Begin frame when opening the session.
Methods in org.apache.qpid.proton.engine with parameters of type Symbol
Modifier and Type
Method
Description
`void`
Connection.`setDesiredCapabilities(Symbol[] capabilities)`
`void`
Link.`setDesiredCapabilities(Symbol[] desiredCapabilities)`
Sets the local link desired capabilities, to be conveyed to the peer via the Attach frame when attaching the link to the session.
`void`
Session.`setDesiredCapabilities(Symbol[] desiredCapabilities)`
Sets the local session desired capabilities, to be conveyed to the peer via the Begin frame when opening the session.
`void`
Connection.`setOfferedCapabilities(Symbol[] capabilities)`
`void`
Link.`setOfferedCapabilities(Symbol[] offeredCapabilities)`
Sets the local link offered capabilities, to be conveyed to the peer via the Attach frame when attaching the link to the session.
`void`
Session.`setOfferedCapabilities(Symbol[] offeredCapabilities)`
Sets the local session offered capabilities, to be conveyed to the peer via the Begin frame when opening the session.
Method parameters in org.apache.qpid.proton.engine with type arguments of type Symbol
Modifier and Type
Method
Description
`void`
Connection.`setProperties(Map<Symbol,Object> properties)`
`void`
Link.`setProperties(Map<Symbol,Object> properties)`
Sets the local link properties, to be conveyed to the peer via the Attach frame when attaching the link to the session.
`void`
Session.`setProperties(Map<Symbol,Object> properties)`
Sets the local session properties, to be conveyed to the peer via the Begin frame when attaching the session to the session.

## Uses of Symbol in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Symbol
Modifier and Type
Method
Description
`Symbol`
SaslImpl.`getChosenMechanism()`
`Symbol[]`
LinkImpl.`getDesiredCapabilities()`
`Symbol[]`
SessionImpl.`getDesiredCapabilities()`
`Symbol[]`
LinkImpl.`getOfferedCapabilities()`
`Symbol[]`
SessionImpl.`getOfferedCapabilities()`
`Symbol[]`
ConnectionImpl.`getRemoteDesiredCapabilities()`
`Symbol[]`
LinkImpl.`getRemoteDesiredCapabilities()`
`Symbol[]`
SessionImpl.`getRemoteDesiredCapabilities()`
`Symbol[]`
ConnectionImpl.`getRemoteOfferedCapabilities()`
`Symbol[]`
LinkImpl.`getRemoteOfferedCapabilities()`
`Symbol[]`
SessionImpl.`getRemoteOfferedCapabilities()`
Methods in org.apache.qpid.proton.engine.impl that return types with arguments of type Symbol
Modifier and Type
Method
Description
`Map<Symbol,Object>`
LinkImpl.`getProperties()`
`Map<Symbol,Object>`
SessionImpl.`getProperties()`
`Map<Symbol,Object>`
ConnectionImpl.`getRemoteProperties()`
`Map<Symbol,Object>`
LinkImpl.`getRemoteProperties()`
`Map<Symbol,Object>`
SessionImpl.`getRemoteProperties()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Symbol
Modifier and Type
Method
Description
`void`
ConnectionImpl.`setDesiredCapabilities(Symbol[] capabilities)`
`void`
LinkImpl.`setDesiredCapabilities(Symbol[] desiredCapabilities)`
`void`
SessionImpl.`setDesiredCapabilities(Symbol[] desiredCapabilities)`
`void`
SaslImpl.`setMechanism(Symbol mechanism)`
`void`
ConnectionImpl.`setOfferedCapabilities(Symbol[] capabilities)`
`void`
LinkImpl.`setOfferedCapabilities(Symbol[] offeredCapabilities)`
`void`
SessionImpl.`setOfferedCapabilities(Symbol[] offeredCapabilities)`
Method parameters in org.apache.qpid.proton.engine.impl with type arguments of type Symbol
Modifier and Type
Method
Description
`void`
ConnectionImpl.`setProperties(Map<Symbol,Object> properties)`
`void`
LinkImpl.`setProperties(Map<Symbol,Object> properties)`
`void`
SessionImpl.`setProperties(Map<Symbol,Object> properties)`